# comm api

**Last updated: 2026-04-02**

## signature Instructions

* Signature Header: Every API request must include a `signature` parameter in the HTTP Headers. The signing method described below applies to all APIs.。
* Request Format: `application/x-www-form-urlencoded`
* Response Format: `JSON`
* Time Units: All time and timestamp fields use **milliseconds** as the default unit.。
* Signature Format:\
  hex(sha256(appSecret + requestTime))\
  Golang Examples:<br>

```
requestTimeStr := strconv.Itoa(requestTime)
hash := sha256.Sum256([]byte(appSecret + requestTimeStr))
signature := hex.EncodeToString(hash[:])
```

### Request Header:

| Paramet      | Type   | Required | Description                                                                                                                |
| ------------ | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| Content-Type | string | YES      | application/x-www-form-urlencoded                                                                                          |
| signature    | string | YES      | Required when the operator calls the platform; used to verify the request signature., hex(sha256(appSecret + requestTime)) |

## Player Login

```
POST /player/launch
```

**Paramet:**

| Paramet     | Type    | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ----------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| operatorID  | string  | YES      | The operator ID registered in WE                                                                                                                                                                                                                                                                                                                                                                                             |
| requestTime | int64   | YES      | Request time must be within 15 minutes(Unix millisecond)                                                                                                                                                                                                                                                                                                                                                                     |
| playerID    | string  | YES      | Player ID                                                                                                                                                                                                                                                                                                                                                                                                                    |
| clientIP    | string  | YES      | player IP                                                                                                                                                                                                                                                                                                                                                                                                                    |
| tableID     | string  | NO       | Add the tableid parameter, you can specify the game table to enter. Bring in `MULTI` to enter multiplay mode.. Bring in `MULTIXD` to enter Xoc Dia multiplay mode.                                                                                                                                                                                                                                                           |
| token       | string  | YES      | For player tokens provided by a `single wallet` operator, this parameter is not required for transfer wallets.                                                                                                                                                                                                                                                                                                               |
| isDemo      | boolean | NO       | When set to "true"Provide a link with game demo,the link expires in 15 minutes.                                                                                                                                                                                                                                                                                                                                              |
| platform    | string  | NO       | <p>device<br>● Unknown<br>● Desktop<br>● Mobile</p>                                                                                                                                                                                                                                                                                                                                                                          |
| lang        | string  | NO       | Add the lang parameter to specify the default language in thegame.Please refer to Parameter [Language](/en/enum/enum-lang.md)。                                                                                                                                                                                                                                                                                               |
| redirectUrl | string  | NO       | <p>● empty Do not redirect<br>● postback window\.parent.postMessage("close")<br>● histback window\.history.back()<br>● url (Must be http or https beginning）window\.location.href=url Note: The following three items only support live and blockchain; other types of games are not applicable<br>● home On the desktop version is set to return to the WE game lobbyHide the "Exit Game" button at the same time..<br></p> |
| uictl       | string  | NO       | Hide wallet balance "balance\_hide", mute by default "audio\_mute", No betting after five rounds, no kicking out of the table "ingame\_retain" , use commas to connect when there are more than one element.                                                                                                                                                                                                                 |

### Trigger JavaScript to close object

```json
gameClientWindow.postMessage({ type: "uictl", data: { action: 'menu_close' }, "*"); //menu close
gameClientWindow.postMessage({ type: "uictl", data: { action: 'audio_mute' }, "*"); //audio mute
gameClientWindow.postMessage({ type: "uictl", data: { action: 'audio_unmute' }, "*"); //audio nmute
```

### Notification parent window

```json
window.parent.postMessage("game_audio_mute", "*");   
window.parent.postMessage("game_audio_unmute", "*"); 
window.parent.postMessage("stream_audio_mute", "*"); 
window.parent.postMessage("stream_audio_unmute", "*"); 
```

**Response:**

```json
{
    "url": "https://uat-game-client.ora.com?lang=&timezone=UTC-4&token=ugs.cBx.08chr"
}
```

### Get Game List

Provide a list of table id along with their maintenance status.

```
POST /game/gamelist
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet     | Type   | Required | Description                                              |
| ----------- | ------ | -------- | -------------------------------------------------------- |
| operatorID  | string | Y        | The operator ID registered in WE                         |
| requestTime | int64  | Y        | Request time must be within 15 minutes(Unix millisecond) |

**Response Data:** `JSON`

```json
{
  "data": [{
             "gameID": "STUDIO-BAC-PKG030", // string Game ID
             "isMaintain": false,           // bool Maintenance status
             "gameType": "BAC",             // string Game type
             "gameTheme": "flagship",       // string game Theme
             "topics": "live_preferred",    // string live preferre
             "cn": "经典百家乐 30",        // string Simplified Chinese
             "en": "Classic 30",          // string English
             "zh": "經典百家樂 30",        // string Traditional Chinese
             "id": "Klasik 30",           // string Indonesian
             "th": "คลาสสิก 30",           // string Thai
             "vi": "Cổ điển 30",           // string Vietnamese
             "ko": "클래식 30",            // string Korean
             "ja": "クラシック 30",        // string Japanese
             "pt": "Clássico 30",         // string Portuguese
             "tl": "Classic 30",          // string Tagalog
             "my": "Classic 30",          // string Myanmar
             "in": "Classic 30",          // string India
             "es": "Classic 30",          // string Español
             "tr": "Klasik 30",           // string Turkish
             "ru": "Classic 30",          // string Русский
             "fr": "Classic 30",          // string French
             "dealerImage": "https://cap.xcck0688.xyz/weph/table058_acam_720.jpg" // string Live Dealer Image
            }]
}
```

### Real time game information

Real time information of all games. This interface needs to be opened by contacting customer service

```
POST /game/realtime
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet     | Type   | Required | Description                                              |
| ----------- | ------ | -------- | -------------------------------------------------------- |
| operatorID  | string | Y        | The operator ID registered in WE                         |
| requestTime | int64  | Y        | Request time must be within 15 minutes(Unix millisecond) |

**Response Data:** `JSON`

```json
{
    "streamDomains": ["pull-os.pkg888.com", "pull-os.pkgming.tv"],  //streaming URL
    "shuffleRoomPath": "/ph/w2h_000_sd.flv",                       //Shuffle Room Streaming Path
    "data": [
        {
            "serverTs": 1234444444112,   //System time(Unix millisecond)
            "gameID": "STUDIO-BAA-1",    //Game ID
            "gameCode": "STUDIO-BAA-1",  //Game ID
            "gameType": "BA",            //Game type
            "gameState": "active",       //Game State
            "gameTheme": "flagship",       //string game Theme
            "gameGenre": "LIVE",  
            "gameDescr": {
                "zh": "百家樂1",
                "en": "Baccarat 1",
                "cn": "百家樂1"
            },
            "dealerImage": "https://faed2.wrf.qw/table001_dealer.jpg",
            "dealerCode": "dealer0001",
            "dealerName": "Mandy Ford",
            "streamPathHd":"/ph/p6g_37_hd.flv", //High-definition streaming path
            "streamPathSd":"/ph/p6g_37_sd.flv", //Smooth video streaming path
            "playerCnt": 1234,                  // Current table players  (int32) 
            "roundId": "BAC013r1233q324e1123",  //Round serial number
            "roundStartTs": 1234567890123,      //Round start time (Unix millisecond) (int64) 
            "roundStopTs": 1234567890123,       //Round end time (Unix millisecond) (int64) 
            "roundResultTs": 1234567890123,     //Round result time (Unix millisecond) (int64) 
            "roundShoe": 123456918466,          //Round shoe number (int64) 
            "roundNum": 3327645156300393,       //Round number (int64) 
            "roundSec": 45,                     //Round countdown seconds (int32) 
            "roundFlag": 0,                     //Round flag (e.g., first round, last round) (int32) 
            "roundState": "start",              //Round state (start, stop, result,shuffle, card, newshoe)
            "roundWin": "1,0,0,0",  refer to [roundWin]
            //round Win  
            "roundCard": "12,23,12,33,2a,4c",  //Round game card result
            "roundLucky": "",  //This parameter is already included in roundMeta.
            "roundMeta": {     //Round game other information
                            "addOdds": "bpAddOdds:0,ppAddOdds:4,tieAddOdds:1,bAddOdds:0.1,pAddOdds:0.2",
                            // Baccarat floating odds, examples are Banker Pair, Player Pair, Tie, Banker, Player. The formula is: Original Odds + Weighted Odds = Floating Odds
                             "roundLucky": "38:3,41:2,18:2,34:2,35:3"
                             // Examples of odds for the God of Wealth/Lucky series: (Clubs ♣️3) 3x, (Diamonds ♦️1) 2x, (Spades ♠️8) 2x, (Clubs ♣️4) 2x, (Clubs ♣️5) 3x.
                             // Super Sic Bo "SPECIFIC_1_2:20,SPECIFIC_6_3:88" means that a pair of dice is worth 20 times the bet, and a six-and-three bet is worth 88 times the bet.
                          },   
            //Cumulative shoe game card result
            "accumCards": ["12,23,12,33,2a,4c", "12,23,12,33,2a,4c", "12,23,12,33,2a,4c"],
            //Roadmap
            "roadmap": {
                "rt0": "0,0,2,0;1,0,2,0;2,0,2,0",
                "rt1": "0,0,2,0;1,0,2,0;2,0,2,0",
                "grt": ""
            },
            "goodRoad": "LONGB",  //good Road         
            "jpEnabled": true,    // jp info
            "jpCurrency": "CNY",
            "jpGrandAmt": 123456789.11,
            "jpMajorAmt": 2345677.12,
            "jpMinorAmt": 314567.33,
            "jpMiniAmt": 15167.33,            // Is the private table service enabled (BAP only)?
            "reserveEnabled": true,           // Table status (free = no host, own = host, but you can join, private = host, the table is booked)
            "reserveState": "private",            
            "reserveSeatBalLimit": 100000.00,   // Minimum balance for table rental   
            "reserveExclBalLimit": 500000.00,   // Minimum balance for exclusive table booking
        }
    ]
}

```

### Bet Detail Link

Provide a link with the detail of bet information,the link expires in 5 minutes.Records are kept for one month Bet Detail Link language can be set by adding the lang parameter to the detail link, and currently supports English (en)、traditional Chinese (zh) and Simplified Chinese (cn)

```
POST /report/betrecord
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet     | Type   | Required | Description                                                     |
| ----------- | ------ | -------- | --------------------------------------------------------------- |
| operatorID  | string | Y        | The operator ID registered in WE                                |
| betID       | string | Y        | Bet ID                                                          |
| requestTime | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)        |
| lang        | string | N        | English (en), Traditional Chinese (zh), Simplified Chinese (cn) |

**Response Data:** `JSON`

```json
{
  "url": "https://uat-op-api.dvweg.com/report/betrecord?secret=JDJhJ4454545g5QmG" //string  bet detail URL 
}
```

### Advanced Bet Record

A maximum of 500,000 betting records can be obtained, which can becalled 150 times within 1 minute. The default number of data recordsis 50, and the start time and end time data are searched by betting time

```
POST /report/bet
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet          | Type   | Required | Description                                                                                                                                                                                                                         |
| ---------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| operatorID       | string | Y        | The operator ID registered in WE ID                                                                                                                                                                                                 |
| startTime        | int64  | Y        | Search start time (Unix millisecond)                                                                                                                                                                                                |
| endTime          | int64  | Y        | Search end time (Unix millisecond)                                                                                                                                                                                                  |
| playerID         | string | N        | Player ID(Max length: 20 characters)                                                                                                                                                                                                |
| betID            | string | N        | Bet ID                                                                                                                                                                                                                              |
| betstatus        | string | N        | Bet status ( new,complete,cancel,error )                                                                                                                                                                                            |
| limit            | int    | N        | Data limit number (default: 50 max:500000)                                                                                                                                                                                          |
| offset           | int    | N        | Skip number (Can be used for paging)                                                                                                                                                                                                |
| isSettlementTime | bool   | N        | When set to "true", The start and end times must not exceed one hour.you can query "cancel time" or "resettle time" or "settlement time", whichever matches the query time interval. The default is false to query by betting time. |
| requestTime      | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)                                                                                                                                                                            |

**Response Data:** `JSON`

```json
{
  "dataCount": 50,    // int64 Data record
  "limit" : 50       // int Data limit number
  "data": [{
             "betID": "BT6OV8IHE4OK8HBBQT80", // string Bet ID
             "operatorID": "xf", // string Operator ID
             "playerID": "mike", // string Player ID
             "opPlayerID": "BPH0RNMR44SMP26OK6G0", // string WE player ID
             "betDateTime": 1598918562000,   // int64 Time (Unix millisecond)
             "settlementTime": 159891875000, // int64 Settlement Time(Unix millisecond)
             "betStatus": "complete",//string Bet status
             "odds": "1",            // string Odds
             "betCode": "BANKER",    // string  Bet content
             "validBetAmount": 8000, // int64 Valid bet amount
             "gameResult": "Banker (B9 P5)", // string Game result
             "device": "web",        // string device
             "betAmount": 10000,     // int64 Bet amount
             "dpsAmount": 10000,     // int64 Deposit or God of Wealth Fee
             "winlossAmount": -10000, // int64 Winning or losing amount
             "category": "Live",     // string Game category
             "gameType": "RO",       // string Game type
             "gameRoundID": "BT6P69IHE4OK8HBBRDT0", // string Game round ID
             "tableID": "STUDIO-BAB-1", // string Table ID
             "ip": "192.168.0.1"        // string IP address
             "trackID": ""              // string Terminal ID
             "cardresult": {  // object cardresult **Only** card games will have results
                            "A1": "club_2",
                            "A2": "heart_9",
                            "A3": "diamond_9",
                            "B1": "diamond_8",
                            "B2": "heart_3",
                            "B3": "spade_10"
                            },
              "roundCard": "32,29,49,48,23,1a", // 遊戲牌局卡牌
              "roundLucky": "38:3,41:2,18:2,34:2,35:3",
                             // Examples of odds for the God of Wealth/Lucky series: (Clubs ♣️3) 3x, (Diamonds ♦️1) 2x, (Spades ♠️8) 2x, (Clubs ♣️4) 2x, (Clubs ♣️5) 3x.
              "addOdds": "bpAddOdds:0,ppAddOdds:4,tieAddOdds:1,bAddOdds:0.1,pAddOdds:0.2",
                            // Baccarat floating odds, examples are Banker Pair, Player Pair, Tie, Banker, Player. The formula is: Original Odds + Weighted Odds = Floating Odds
              "roundWin": "2,0,0,0", // Game results              
              "resettleTime" : 1716220196000, // int64 ResettleTime(Unix millisecond)    
              "cancelTime" : 1715220196000,   // int64 CancelTime(Unix millisecond)
              "tipAmount" : 0,             // int64 Tip Amount    
              "type" : "bet"               // string Tip Amount  
            }],
}
```

### Player Bet Summary

Search for the total sum of data for each player's ID, bets, and wins or losses within the betting time range from the start time to the end time.

```
POST /report/playersummary
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet          | Type   | Required | Description                                                                                                                             |
| ---------------- | ------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| operatorID       | string | Y        | The operator ID registered in WE                                                                                                        |
| startTime        | int64  | Y        | Search start time (Unix millisecond)                                                                                                    |
| endTime          | int64  | Y        | Search end time (Unix millisecond)                                                                                                      |
| playerID         | string | N        | You can enter a single or multiple player IDs, separated by commas.(For example: player1, player2) Leave it blank to query all players. |
| isSettlementTime | bool   | N        | When set to "true", the start and end times are searched by settlement time,the default is search by betting time                       |
| requestTime      | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)                                                                                |

**Response Data:** `JSON`

```json
{
  "data": [{
            "operatorID": "xf",       // string Operator ID
            "playerID": "mike",       // string Player ID
            "currency": "RMB",        // string Currency
            "betamount": 760000,      // int64 Bet amount
            "validBetAmount": 200000, // int64 Valid bet amount
            "winAmount": 160000,      // int64 Winning or losing amount
            "numberOfBet": 70,        // int64 Total Number of Bet
          }]
}
```

### Additional Bet Summary

Provide additional times to obtain betting record summary, which can be called 150 times within 1 minute, and the start time and end time are searched by the betting time

```
POST /report/summary
```

**Request :** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet          | Type   | Required | Description                                                                                                       |
| ---------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------- |
| operatorID       | string | Y        | The operator ID registered in WE                                                                                  |
| startTime        | int64  | Y        | Search start time (Unix millisecond)                                                                              |
| endTime          | int64  | Y        | Search end time (Unix millisecond)                                                                                |
| requestTime      | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)                                                          |
| isSettlementTime | bool   | N        | When set to "true", the start and end times are searched by settlement time,the default is search by betting time |

**Response Data:** `JSON`

```json
{
  "currencyBetAmount": 240000,      // int64 Total Bet Amount (unit:cents)
  "currencyValidBetAmount": 100000, // int64 Total Valid Bet Amount (unit:cents)
  "currencyWinAmount": 160000,      // int64 Winning or losing amount
  "totalBetAmount": 120000,         // int64 Total Bet Amount in USDT (unit:cents)
  "totalWinAmount": 80000,          // int64 Total Winloss Amount in USDT(unit:cents)
  "totalValidBetAmount": 50000,     // int64 Total Valid Bet Amount in USDT (unit:cents) 
  "numberOfBet": 70,                // int64 Total Number of Bet  
}
```

### Logout Agent’s Player

```
POST /player/logout
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                                                                |
| --------- | ------ | -------- | -------------------------------------------------------------------------- |
| signature | string | Y        | Encrypt request data for verification hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet     | Type   | Required | Description                                                                                                                             |
| ----------- | ------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| operatorID  | string | Y        | The operator ID registered in WE                                                                                                        |
| playerID    | string | N        | You can enter a single or multiple player IDs, separated by commas.(For example: player1, player2) Leave it blank to query all players. |
| requestTime | int64  | Y        | Request time must be within 15 minutes(Unix millisecond)                                                                                |

**Response Data:** `JSON`

```json
{
  "error": null, // string Error message
}
```

### Test Connection

```
POST /check
```

This API does not require parameters or a signature.

**Request Body:**

| Paramet    | Type   | Required | Description                        |
| ---------- | ------ | -------- | ---------------------------------- |
| operatorID | string | Y        | The operator ID registered in WE   |
| appSecret  | string | Y        | The certificate key provided by WE |

**Response Data :** `JSON`

```json
{
  "success": true, // bool Success
}
```

### Quota Record

```
POST /history/reconcile
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:**

| Paramet   | Type   | Required | Description                          |
| --------- | ------ | -------- | ------------------------------------ |
| signature | string | Y        | hex(sha256(appSecret + requestTime)) |

**Request Body:**

| Paramet     | Type   | Required | Description                                                                                                                                                                                                        |
| ----------- | ------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| operatorID  | string | Y        | The operator ID registered in WE                                                                                                                                                                                   |
| startTime   | int64  | Y        | Search start time (Unix milliseconds)                                                                                                                                                                              |
| endTime     | int64  | Y        | Search end time (Unix milliseconds)                                                                                                                                                                                |
| playerID    | string | N        | Player ID(Max length: 20 characters)                                                                                                                                                                               |
| betId       | string | N        | Bet ID                                                                                                                                                                                                             |
| tranId      | string | N        | tranId                                                                                                                                                                                                             |
| tranType    | string | N        | Transaction type (can be incremented by commas)：transfer\_in:transfer in、transfer\_out:transfer out、bet\_result:betting result、bet:bet、recharge:transfer、activity\_prize:activity prize distribution、live\_tip:tip |
| cursor      | string | N        | Pagination number (no need to fill in for first request)                                                                                                                                                           |
| limit       | int    | N        | Data limit number (default: 2000 max:500000)                                                                                                                                                                       |
| requestTime | int64  | Y        | Request time must be within 15 minutes(Unix milliseconds)                                                                                                                                                          |

**Response Data:** `JSON`

```json
{
  "cursor": "17f697c4f6137b60_6ecd7509-e81e-4916-a909-4473f6a34a4c_02986a7db0c8c900be012612a98c1e29", // string agination number
  "data": [{  
    playerID: "guest9847"                               // string Player ID
    balAfter: 2230                                      // int64 Amount after transaction
    balBefore: 2430                                     // int64 Amount before transaction
    balChange: -200                                     // int64 Change amount
    tranId: "ec48613a-fdb7-4b63-938f-431a83090a13"      // string tranId
    betId: "345bf26b-1aae-452b-a189-6377e86bdb21"       // string betId
    tranTime: 159891875000                              // int64 Transaction Time ( Unix milliseconds )
    gameGenre: "LIVE"                                   // string Game category
    gameType: "BAS"                                     // string Game type
    gameCode: "STUDIO-BAS-109"                          // string Game ID
    roundCode: "ABSPH1240913F02R1357"                   // string gameRound ID
    tranState: "normal"                                 // string transaction status
    tranType: "bet"                                     // string Transaction type
  }]
}
```

### Game maintenance/table change notice

This API will be triggered whenever there is a game table switch/maintenance status. This function needs to set a callback and activate it manually. This API is "WE" called "operator"

```
POST (Operator API address)/updategamestatus
```

**Request:** `application/x-www-form-urlencoded`

**Request Header:** NONE

**Request Body:**

| Paramet    | Type   | Required | Description        |
| ---------- | ------ | -------- | ------------------ |
| category   | string | Y        | Game category      |
| gameType   | string | N        | Game type          |
| gameID     | string | N        | Game ID            |
| isMaintain | bool   | Y        | Maintenance status |

**Response Data:** `JSON`

```json
{
  "operatorID": "test12345"    //string  The operator ID registered in WE  
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pkg333.app/en/common-api_en.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
